# initial written by fasthyun@magicn.com 
# edited by 

TEMPLATE	= app
LANGUAGE	= C++

#for testing 
#CONFIG	+= warn_off qt debug  		

#for release by fasthyun@magicn.com 
CONFIG	+= warn_off qt release

# gcc profiling for DEBUG !!!!  (by fasthyun)
QMAKE_CFLAGS_DEBUG+= -pg
QMAKE_CXXFLAGS_DEBUG+= -pg
QMAKE_LFLAGS_DEBUG+= -pg

HEADERS	+= qps.h \
	pstable.h \
	dialogs.h \
	fieldsel.h \
	scheddlg.h \
	prefs.h \
	infobar.h \
	htable.h \
	lookup.h \
	details.h \
	command.h \
	qttableview.h \
	trayicon.h \
	misc.h 
	

SOURCES	+= qps.cpp \
	pstable.cpp \
	proc.cpp \
	uidstr.cpp \
	ttystr.cpp \
	dialogs.cpp \
	infobar.cpp \
	fieldsel.cpp \
	scheddlg.cpp \
	wchan.cpp \
	prefs.cpp \
	htable.cpp \
	lookup.cpp \
	details.cpp \
	command.cpp \
	qttableview.cpp \
	trayicon.cpp \
	misc.cpp 




TARGET 	= qps
#FORMS	= qps.ui
#IMAGES	= logo.png

UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

bin.path = /usr/local/bin
bin.files= qps
man.path = /usr/local/share/man/man1
man.files= qps.1

INSTALLS += bin man

UNAME = $$system(uname -s)

contains( UNAME, [lL]inux ) {
	system(ln -fs proc_linux.cpp proc.cpp)
#	QMAKE_POST_LINK += strip -g qps  #same  "install -s"
}
contains( UNAME, SunOS ) {
	system(ln -s proc_solaris.cpp proc.cpp)
	LIBS += -lkstat -lrt
	QMAKE_POST_LINK += strip -x qps
}
contains( UNAME, MOSIX ) {
	system(ln -s proc_mosix.cpp proc.cpp)
	QMAKE_POST_LINK += strip -g qps
}

